com.unitech.lib.types

## Enum EngineModel.EngineVendor

- java.lang.Object
- - java.lang.Enum<EngineModel.EngineVendor>
  - - com.unitech.lib.types.EngineModel.EngineVendor

- All Implemented Interfaces:
    Serializable, Comparable<EngineModel.EngineVendor>
  Enclosing class:
    EngineModel

      public static enum EngineModel.EngineVendor
      extends Enum<EngineModel.EngineVendor>

  The EngineVendor enum represents different types of engine vendors. Each engine vendor is associated with a unique integer value and a descriptive string message. The enum also provides methods to get the integer value and string message of an engine vendor, and to get an engine vendor from its integer value or name.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `honeywell`
    `sunlux`
    `unknown`
    `zebra`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EngineModel.EngineVendor` | `fromName(String name)` Gets an engine vendor from its name.
    `static EngineModel.EngineVendor` | `fromValue(int value)` Gets an engine vendor from its integer value.
    `int` | `getCode()` Gets the integer value of the engine vendor.
    `String` | `toString()` Returns the string message of the engine vendor.
    `int` | `value()` Gets the integer value of the engine vendor.
    `static EngineModel.EngineVendor` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EngineModel.EngineVendor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### unknown

          public static final EngineModel.EngineVendor unknown

    - #### honeywell

          public static final EngineModel.EngineVendor honeywell

    - #### zebra

          public static final EngineModel.EngineVendor zebra

    - #### sunlux

          public static final EngineModel.EngineVendor sunlux

  - ### Method Detail

    - #### values

          public static EngineModel.EngineVendor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EngineModel.EngineVendor c : EngineModel.EngineVendor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EngineModel.EngineVendor valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public int value()

      Gets the integer value of the engine vendor.
      Returns:
        The integer value of the engine vendor.

    - #### getCode

          public int getCode()

      Gets the integer value of the engine vendor.
      Returns:
        The integer value of the engine vendor.

    - #### toString

          public String toString()

      Returns the string message of the engine vendor.
      Overrides:
        `toString` in class `Enum<EngineModel.EngineVendor>`
      Returns:
        The string message of the engine vendor.

    - #### fromValue

          public static EngineModel.EngineVendor fromValue(int value)

      Gets an engine vendor from its integer value.
      Parameters:
        `value` - The integer value of the engine vendor.
      Returns:
        The engine vendor associated with the integer value.

    - #### fromName

          public static EngineModel.EngineVendor fromName(String name)

      Gets an engine vendor from its name.
      Parameters:
        `name` - The name of the engine vendor.
      Returns:
        The engine vendor associated with the name.